# YouTubeDL

A simple tool to download YouTube videos or extract audio using `yt-dlp` in a Docker container.

## Features
- Build a Docker container with `yt-dlp` pre-installed.
- Run the container to download videos or extract audio.

## Usage

### Build the Docker Container
```bash
./ytdl.sh build
```

### Run the Container to Download or Extract Audio
```bash
./ytdl.sh run [YouTube URL]
```

This will download the video or extract audio (in MP3 format) and save it to the `vid` directory in the current working directory.

## Requirements
- Docker installed on your system.
- Internet connection for downloading videos.

## Notes
- The script mounts the `vid` directory to the container for saving downloaded files.
- Ensure the `vid` directory exists before running the script.

